p = input().split()
s = []
for e in p:
    if e >= 'a' and e <= 'z':
        s.append(0)
    else:
        result = max(s[-1], s[-2]) + 1
        s.pop()
        s.pop()
        s.append(result)
print(s[0])
